package com.zswl.cloud.springBatch.client.model.video2;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotNull;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class RechargeRequest {

    @NotNull
    @ApiModelProperty(value = "商品编码", required = true)
    private Integer productId;

    @NotNull
    @ApiModelProperty(value = "充值账号", required = true)
    private String rechargeAccount;

    @NotNull
    @ApiModelProperty(value = "账号类型" +
            "- 1：手机号 " +
            "- 2：QQ号" +
            "- 0：其他", required = true)
    private Integer accountType;

    @ApiModelProperty(value = "特殊场景参数", required = true)
    private String extendParameter;
}
